| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLibraryReference Struct Reference

This interface represents a reference to a library file. More...

`#include <imap/saverref.h>`

Inheritance diagram for iLibraryReference:

[legend]
List of all members.

## Public Member Functions
virtual bool | GetCheckDupes () const =0
| Get whether we should check dupes.
virtual const char * | GetFile () const =0
| Get the file name of the library reference.
virtual const char * | GetPath () const =0
| Get the path of the library reference.
virtual iObject * | QueryObject ()=0
| Get the iObject for this interface.

## Detailed Description

This interface represents a reference to a library file.

Definition at line 33 of file saverref.h.

## Member Function Documentation

virtual bool iLibraryReference::GetCheckDupes | ( |  | ) | const`[pure virtual]`

Get whether we should check dupes.

Implemented in csLibraryReference.

virtual const char* iLibraryReference::GetFile | ( |  | ) | const`[pure virtual]`

Get the file name of the library reference.

Implemented in csLibraryReference.

virtual const char* iLibraryReference::GetPath | ( |  | ) | const`[pure virtual]`

Get the path of the library reference.

Implemented in csLibraryReference.

virtual iObject* iLibraryReference::QueryObject | ( |  | ) | `[pure virtual]`

Get the iObject for this interface.

Implemented in csLibraryReference.

The documentation for this struct was generated from the following file:

- imap/saverref.h